#if !defined(AFX_HMISHAPEPROPSETDLG2_H__09F99E75_DD8A_4EE1_8F8E_388143847CA8__INCLUDED_)
#define AFX_HMISHAPEPROPSETDLG2_H__09F99E75_DD8A_4EE1_8F8E_388143847CA8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HMIShapePropSetDlg2.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHMIShapePropSetDlg2 dialog

#include "resource.h"

class CHMIShapePropSetDlg2 : public CDialog
{
// Construction
public:
	CHMIShapePropSetDlg2(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CHMIShapePropSetDlg2)
	enum { IDD = IDD_DIALOG_SHAPE_PROP2 };
	CMFCButton	m_check;
	CEdit	m_edit3;
	CEdit	m_edit2;
	CEdit	m_edit1;
	CMFCButton	m_btnData;
  
	CMFCSpinButtonCtrl	m_spinArrowWidth;
	CMFCSpinButtonCtrl	m_spinShadow;
	 
	CMFCSpinButtonCtrl	m_spin;
	int		m_nArrowLen;
 
	BOOL	m_bShadow;
	int		m_nShadowWidth;
	int		m_nArrowWidtth;
	//}}AFX_DATA

	HCURSOR m_hCursor1, m_hCursor2;
	
	// dialog size as you see in the resource view (original size)
	CRect	m_rcOriginalRect;
	
	// dragging
	BOOL	m_bDragging;
	CPoint	m_ptDragPoint;
	
	// actual scroll position
	int		m_nScrollPos;
	
	// actual dialog height
	int		m_nCurHeight;
 
	// Line Width, This member specify FOPDropDownLineWidthButton object.  
	FOPDropDownLineWidthButton	m_wndLineWidth;

	// Line Type, This member specify FOPDropDownLineTypeButton object.  
	FOPDropDownLineTypeButton	m_wndLineType;
 
	// Color, This member specify FOPDropDownColorPickerButton object.  
	FOPDropDownColorPickerButton	m_wndLineColor;

	// Start Arrow, This member specify FOPDropDownArrowButton object.  
	FOPDropDownArrowButton	m_wndStartArrow;
	
	// End Arrow, This member specify FOPDropDownArrowButton object.  
	FOPDropDownArrowButton	m_wndEndArrow;
 
	// Drop Shadow Button, This member specify FOPDropDownShadowPickerButton object.  
	FOPDropDownShadowPickerButton DropShadowButton;

	// Shadow Index, This variable specifies a 32-bit signed integer on 32-bit platforms.  
	int savedShadowIndex;
 
	BOOL m_bSelect;
	//EndArrow
	
	// End Arrow, This variable specifies a 32-bit signed integer on 32-bit platforms.  
	int m_nEndArrow;
	
	COLORREF crLine;
	// Text color.
	 
	//Line Type
	
	// Line Type, This variable specifies a 32-bit signed integer on 32-bit platforms.  
	int m_nLineType;
	
	//Line Width
	
	// Line Width, This variable specifies a 32-bit signed integer on 32-bit platforms.  
	int m_nLineWidth;
	int nArrowLength;
	// Start Arrow, This variable specifies a 32-bit signed integer on 32-bit platforms.  
	int m_nStartArrow;
  
	
	//Start Arrow
	CFODrawShape *pOldSelect;
	int nOldSelectCount;

	void GetAllSelShapes(CFODrawShapeList &mList);

	void EndDrag();
	
	void UpdateProperty(CFODrawView* pView, const BOOL &bWithAction = FALSE);
	
	// Get scroll position.
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Scroll Pos32, Returns the specified value.
	//		Returns a int type value.  
	// Parameters:
	//		nBar---nBar, Specifies A integer value.  
	//		bGetTrackPos---Get Track Position, Specifies A Boolean value.
	int GetScrollPos32(int nBar, BOOL bGetTrackPos = FALSE );
	
	// Set scroll position.
	
	//-----------------------------------------------------------------------
	// Summary:
	// Set Scroll Pos32, Sets a specify value to current class CFOToolBoxPageWnd
	//		Returns BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		nBar---nBar, Specifies A integer value.  
	//		nPos---nPos, Specifies A integer value.  
	//		bRedraw---bRedraw, Specifies A Boolean value.
	BOOL SetScrollPos32( int nBar, int nPos, BOOL bRedraw = TRUE );
  
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHMIShapePropSetDlg2)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CHMIShapePropSetDlg2)
	virtual BOOL OnInitDialog();
 
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
 
	afx_msg void OnCheckShadow();
	afx_msg void OnChangeEditShadoww();
	afx_msg void OnChangeEditArrowlen();
	afx_msg void OnChangeEditArrowwidth();
	afx_msg void OnButtonData();
	//}}AFX_MSG
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	//-----------------------------------------------------------------------
	// Summary:
	// On Mouse Wheel, This member function is called by the framework to allow your application to handle a Windows message.
	//		Returns afx_msg BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		nFlags---nFlags, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.  
	//		zDelta---zDelta, Specifies a short zDelta object(Value).  
	//		pt---Specifies A CPoint type value.
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	  
	afx_msg void OnLineWidthChange();
	//-----------------------------------------------------------------------
	// Summary:
	// On Line Start Change, This member function is called by the framework to allow your application to handle a Windows message.
	
	afx_msg void OnLineStartChange();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Line End Change, This member function is called by the framework to allow your application to handle a Windows message.
	
	afx_msg void OnLineEndChange();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Line Type Change, This member function is called by the framework to allow your application to handle a Windows message.
	
	afx_msg void OnLineTypeChange();

	afx_msg void OnLineColourChange();
 
	afx_msg void OnShadowChange();

	
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HMISHAPEPROPSETDLG2_H__09F99E75_DD8A_4EE1_8F8E_388143847CA8__INCLUDED_)
